import PointRedeem from "pointRedeems";
import { getUserRecord } from "db/dbUser";
import { changeBalance } from "lib/changeBalance";
import { sendMessage } from "lib/commandUtils";

export default new PointRedeem({
	name: "qbucksredeem",
	title: "FREE MONEY",
	prompt: "GET 100 QBUCKS!",
	color: "#00FF00",
	cost: 1000,
	execution: async (_msg, user) => {
		await changeBalance(user, await getUserRecord(user), 100);
		await sendMessage(
			`${user.displayName} got 100 qbucks for their point redeem`,
		);
	},
});
